Name:          Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE
Version:       8
Release:       5%{?dist}
Summary:      German translation of Red_Hat_Enterprise_Linux-Release_Notes-6
Summary(de-DE):       Versionshinweise für Red Hat Enterprise Linux 6
Group:         Documentation
License:       CC-BY-SA
URL:           https://fedorahosted.org/publican
Source:        %{name}-%{version}-5.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat
Requires:      xdg-utils
Provides:      Red_Hat_Enterprise_Linux-Release_Notes-6-de_DE = %{version}-%{release}

%description
German translation of Red_Hat_Enterprise_Linux-Release_Notes-6

%description -l de-DE


%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=de-DE --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

cp de-DE/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE.svg;


cat > Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE-8.desktop <<'EOF'
[Desktop Entry]
Name=Versionshinweise für Red Hat Enterprise Linux 6
Comment=Versionshinweise für Red Hat Enterprise Linux 6
Exec=xdg-open %{_docdir}/Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE-8.desktop

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/de-DE/html-desktop/*
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE.svg
%{_datadir}/applications/Red_Hat_Enterprise_Linux-Release_Notes-6-de-DE-8.desktop

%changelog
* Fri Mar 11 2016 Radek Bíba <rbiba@redhat.com> - 8-5
- From now on, we use version-agnostic boilerplate text with a link to the online document. 
